#
# spec file for package enigmail
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2014 Wolfgang Rosenauer <wr@rosenauer.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           enigmail
Version:        1.9.8.3
Release:        5.1
Summary:        OpenPGP addon for Thunderbird and SeaMonkey
License:        MPL-2.0
Group:          Productivity/Networking/Email/Clients
Url:            https://www.enigmail.net/
# git clone git://git.code.sf.net/p/enigmail/source enigmail
Source0:        https://www.enigmail.net/download/source/%{name}-%{version}.tar.gz
Source1:        https://www.enigmail.net/download/source/%{name}-%{version}.tar.gz.asc
# https://www.enigmail.net/documentation/pgp-key.php
Source2:        enigmail.keyring
Source3:        https://www.mozilla.org/media/MPL/2.0/index.815ca599c9df.txt#/COPYING
BuildRequires:  perl >= 5
BuildRequires:  python >= 2.7
BuildRequires:  unzip
BuildRequires:  zip
Requires:       gpg2 >= 2.0.7
Requires:       pinentry-gui

%description
This package contains the Enigmail OpenPGP Addon for Thunderbird and SeaMonkey.

%prep
%setup -q -n enigmail
cp %{SOURCE3} .

%build
# FIXME: you should use the %%configure macro
./configure \
	CFLAGS="%{optflags}"
# parallel build not supported
make # %{?_smp_mflags}

%install
# Thunderbird location
_enig_dir=%{buildroot}%{_libdir}/mozilla/extensions/\{3550f703-e582-4d05-9a08-453d09bdfdc6\}/\{847b3a00-7ab1-11d4-8f02-006008948af5\}
mkdir -p $_enig_dir
(cd $_enig_dir; unzip $RPM_BUILD_DIR/enigmail/build/enigmail-*.xpi)
#rm $_enig_dir/*.xpi
# SeaMonkey location
mkdir -p %{buildroot}%{_libdir}/mozilla/extensions/\{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a\}
(cd %{buildroot}%{_libdir}/mozilla/extensions/\{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a\}; \
  ln -s ../\{3550f703-e582-4d05-9a08-453d09bdfdc6\}/\{847b3a00-7ab1-11d4-8f02-006008948af5\} )

mkdir -p %{buildroot}%{_datadir}/appdata/
install -m644 thunderbird-enigmail.metainfo.xml %{buildroot}%{_datadir}/appdata/enigmail.appdata.xml

%files
%{_libdir}/mozilla/
%doc COPYING
%dir %{_datadir}/appdata
%{_datadir}/appdata/enigmail.appdata.xml

%changelog
* Wed Oct  4 2017 astieger@suse.com
- enigmail 1.9.8.3:
  * move calling of subprocess library to the end
* Tue Aug 22 2017 astieger@suse.com
- enigmail 1.9.8.2:
  * fixed wrong translation that break keygen dialog
  * make getting time format more robust
  * Add support for new type of broken exchange messages
* Sun Jul  9 2017 astieger@suse.com
- enigmail 1.9.8.1:
  * handle EINTR cases of child process terminations
* Wed Jul  5 2017 astieger@suse.com
- enigmail 1.9.8:
  * fix blocking in the mail sending process (boo#1047252)
* Mon May 15 2017 wr@rosenauer.org
- enigmail 1.9.7:
  * This version fixes a compatibility bug on Thunderbird 52 that
    makes keyserver up/downloads unusable
* Mon Nov 21 2016 astieger@suse.com
- enigmail 1.9.6.1:
  * fix locating of GnuPG executable (openSUSE not affected)
* Sun Nov 13 2016 astieger@suse.com
- enigmail 1.9.6:
  * Better detection is decrypted message is displayed
  * New variant of PGP/MIME messages broken by MS-Exchange
  * Make key importing more robust
* Mon Sep  5 2016 astieger@suse.com
- enigmail 1.9.5:
  * fix failure during GnuPG installation
  * Include AppData
  * Forwarding an encrypted message results in empty body
  * Fix parsing ofr last '=' in quoted-printable encoded
    encrypted/signed parts
  * fix regression in key selection for Per-Recipient-Rules
- license is MPL-2.0, include license text
* Wed Jul 13 2016 astieger@suse.com
- enigmail 1.9.4:
  * Improved compatibility with Send Later add-on
  * Various bugs fixed
* Wed Jun  8 2016 astieger@suse.com
- enigmail 1.9.3:
  * Fix Decrypt loop with S/MIME self-signed mails
  * Fix Manage UIDs throws errors if called from key properties dialog
  * Fix No error message if configured key not found on keyring
  * Fix Enigmail munges display of messages with S/MIME signature
  * Allow importing of expired keys
* Tue May  3 2016 astieger@suse.com
- enigmail 1.9.2:
  * Add support for Zimbra OpenPGP encrypted messages
  * Fix decrypt loop with S/MIME signed mails
  * Fix silently failing import of revocation certificate
  * Fix E-Mail saved as draft and reopened will show empty message
  * Fix multipart/signed mail without micalg parameter blank body
  * Fix display of changed key expiration date
* Thu Apr  7 2016 astieger@suse.com
- enigmail 1.9.1:
  * fix recignition of MS Exchange messages
  * fix slow PGP/MIME signature verification with attachments
  * fix freeze with large mail with signature
  * fix backup/restore UI
  * fix UI issues with German umlauts
* Mon Feb 29 2016 astieger@suse.com
- enigmail 1.9:
  * Added support for GnuPG 2.1
  * Backup and restore of keys and Enigmail settings
  * Messages are sent using PGP/MIME by default
  * Several new dialog windows that improve usability
  * Added support for protected headers (off by default)
  * There is no binary component anymore - this version runs on all
    platforms for which Thunderbird and GnuPG are available.
  * gpg2 2.0.7 or newer required
  * no longer run tests, a utility is not available
* Tue May  5 2015 astieger@suse.com
- enigmail 1.8.2, fixing the following bugs:
  * Punycode domain handling incorrect
  * Mail is not automatically encrypted anymore. Enigmail does not
    warn about unencrypted mail
  * Decrypted message, but "Error - decryption failed" or "Error -
    no matching private/secret key found to decrypt message"
  * Sign Button indicates wrong status on recipient rules
  * Decryption filter merges Received headers incorrectly
  * Questionmarks "???" in Enigmail menu and encrypting message
    only with senders key
  * Enigmail key management fails always fails to connect to
    keyservers when searching for keys
  * TB account hangs when filter for storing decrypted emails is
    applied to IMAP account
  * Deleting multiple keys in key manager fails
  * INV_RECP error message confuses new users
* Thu Mar 26 2015 astieger@suse.com
- enigmail 1.8.1:
  * Improved user interface for message composition
  * Simplified setup wizard
  * Possibility to permanently decrypt messages via filter rules
  * Improved support for PGP/MIME messages from GPGTools sent from
    MS Exchange Server
  * Many bugs fixed
  * last major version to support GnuPG 1.4.x
- packaging changes:
  * update upstream signing key
  * run unit tests during build
  * remove gpg-offline
  * run spec-cleaner
  * add upstream sourc URLs
* Fri Aug 29 2014 wr@rosenauer.org
- update to version 1.7.2 (bmo#893330)
  * bugfix release which contains several bugfixes including
    mail with only Bcc recipients sent in plain text
    (CVE-2014-5369)
* Sun Jul 20 2014 wr@rosenauer.org
- standalone enigmail 1.7 package previously built as part of
  MozillaThunderbird
  (since version 1.7 it's not required to build against Thunderbird
  sources anymore and compatibility to Thunderbird and SeaMonkey at
  the same time should be given)
